Error 1723 during Installation

The installer for X-Win32 is MSI based and requires Windows Installer Version 3.0 or later to be installed on the target system. Windows Installer Version 3.0 itself requires Windows 2000 SP3 or later in order to operate correctly. Windows Installer Version 3.0 system requirements and a downloadable installer for Version 3.0 can be found on the Windows Installer 3.0 Redistributable page.

Error text

X-Win32 Installer Information
======================
Error 1723. There is a problem with this Windows
Installer package. A DLL required for this install to
complete could not be run. Contact your support

personnel or package vendor.

Error screenshot